Channels
For authentication instructions, see API overview.
Endpoints
get
List all channels
Returns a list of channels. The channels are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/channelsResponse
No response schemapost
Create channels
Create channels. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
channelNamestringlinkedPagesarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/channels \ -d 'channelName="channel1"' \ -d 'linkedPages="array"'Response
No response schemaget
Retrieve channels
Returns a single channel, which you can request by passing through an id in the url.
Path parameters
idstringID of the channel
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/channels/:idResponse
No response schemaput
Update channels
Path parameters
idstringID of the channel
Request body
channelNamestringlinkedPagesarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/channels/:id \ -d 'channelName="channel1"' \ -d 'linkedPages="array"'Response
No response schemapatch
Update channels soft
Update channels soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the channel
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/channels/:idResponse
No response schemadelete
Delete channels
Path parameters
idstringID of the channel
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/channels/deleted/:id